%define upstream_name   Parse-Method-Signatures
%define upstream_version 1.003019

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6
Epoch:      1

Summary:    Turn parse TC data into Moose TC object
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(List::MoreUtils) >= 0.200.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Traits) >= 0.60.0
BuildRequires: perl(MooseX::Types) >= 0.170.0
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(MooseX::Types::Structured)
BuildRequires: perl(PPI) >= 1.203.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(aliased)
BuildRequires: perl(namespace::clean) >= 0.100.0
BuildArch:  noarch
Requires:   perl(MooseX::Traits)

%{?perl_default_filter}

%description
Inspired by the Perl6::Signature manpage but streamlined to just support
the subset deemed useful for the TryCatch manpage and the
MooseX::Method::Signatures manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/Parse


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1:1.3.19-6.mga10
+ Revision: 2208615
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1:1.3.19-5.mga9
+ Revision: 1818975
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:1.3.19-4.mga8
+ Revision: 1505887
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1:1.3.19-3.mga7
+ Revision: 1285532
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1:1.3.19-2.mga7
+ Revision: 1166135
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 1:1.3.19-1.mga7
+ Revision: 1157909
- update to 1.003019

* Sun Jun 19 2016 pterjan <pterjan> 1:1.3.16-7.mga6
+ Revision: 1031727
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1:1.3.16-6.mga6
+ Revision: 949266
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1:1.3.16-5.mga5
+ Revision: 789358
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1:1.3.16-4.mga5
+ Revision: 740813
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1:1.3.16-3.mga5
+ Revision: 733218
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 1:1.3.16-1.mga5
+ Revision: 587543
- update to 1.003016

* Sat Oct 19 2013 umeabot <umeabot> 1:1.3.15-2.mga4
+ Revision: 527194
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1:1.3.15-1.mga4
+ Revision: 439726
- update to 1.003015

* Sun Jan 13 2013 umeabot <umeabot> 1:1.3.14-2.mga3
+ Revision: 371532
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 jquelin <jquelin> 1:1.3.14-1.mga2
+ Revision: 148185
- update to 1.003014

* Wed Jan 26 2011 jquelin <jquelin> 1:1.3.13-1.mga1
+ Revision: 40025
- mageia rebuild
- imported package perl-Parse-Method-Signatures


* Sat Jan 09 2010 Jérôme Quelin <jquelin@mandriva.org> 1:1.3.13-1mdv2010.1
+ Revision: 487934
- update to 1.003013
- update to 1.003012

* Tue Sep 15 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.3.12-1mdv2010.0
+ Revision: 442945
- update to 1.003012

* Thu Aug 20 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.3.11-1mdv2010.0
+ Revision: 418419
- update to 1.003011

* Thu Aug 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.3.10-1mdv2010.0
+ Revision: 410677
- update to 1.003010

* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.3.9-1mdv2010.0
+ Revision: 399262
- bumping epoch to take new version into account
- update to 1.003009
- using %%perl_convert_version
- fixed license field

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.003008-1mdv2010.0
+ Revision: 389801
- update to new version 1.003008

* Mon May 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.003007-1mdv2010.0
+ Revision: 379525
- update to new version 1.003007

* Sun May 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.003005-1mdv2010.0
+ Revision: 373929
- update to new version 1.003005

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.003004-1mdv2010.0
+ Revision: 370139
- update to new version 1.003004

* Wed Mar 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.003003-1mdv2009.1
+ Revision: 357183
- update to new version 1.003003

* Fri Mar 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.003002-1mdv2009.1
+ Revision: 349680
- update to new version 1.003002

* Wed Mar 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.003000-1mdv2009.1
+ Revision: 348641
- update to new version 1.003000

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.002000-2mdv2009.1
+ Revision: 343994
- fix dependencies

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.002000-1mdv2009.1
+ Revision: 343981
- import perl-Parse-Method-Signatures


* Sun Feb 22 2009 cpan2dist 1.002000-1mdv
- initial mdv release, generated with cpan2dist
